Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367290 - No html Id's defined for the bootstrap switches in manage quota form
Summary: No html Id's defined for the bootstrap switches in manage quota form
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.0
Assignee: Jozef Zigmund
QA Contact: Aziza Karol
URL:
Whiteboard: ui:quota
Depends On:
Blocks: 1370476
TreeView+ depends on / blocked
 
Reported: 2016-08-16 06:45 UTC by Aziza Karol
Modified: 2017-01-12 04:56 UTC (History)
6 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1370476 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:25:23 UTC
Category: Bug
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aziza Karol 2016-08-16 06:45:50 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.6.1.2.20160810181333_8ba817b

How reproducible:
100%

Steps to Reproduce:
There is no unique html id's defined for bootstrap switches in manages quota form 

Actual results:


Expected results:
Unique html id's should be defined for the input element associated with the checkbox in quota page.

Additional info:

Comment 3 CFME Bot 2016-08-23 09:45:53 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c777bab677cefd7bd7c50afb1116667fb6b07219

commit c777bab677cefd7bd7c50afb1116667fb6b07219
Author:     Jozef Zigmund <jzigmund@redhat.com>
AuthorDate: Mon Aug 22 19:03:44 2016 +0200
Commit:     Jozef Zigmund <jzigmund@redhat.com>
CommitDate: Mon Aug 22 19:06:27 2016 +0200

    Add IDs to html elements of quota bootstrap switches
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1367290

 app/views/ops/_tenant_quota_form.html.haml | 1 +
 1 file changed, 1 insertion(+)

Comment 5 Aziza Karol 2016-10-04 11:26:31 UTC
IDs added to html elements of quota bootstrap switches.

Verified:5.7.0.3.20160927165516_075d0f3


Note You need to log in before you can comment on or make changes to this bug.